Bug 1414654 - Upcall: Possible memleak if inode_ctx_set fails
Summary: Upcall: Possible memleak if inode_ctx_set fails
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: upcall
Version: 3.9
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Soumya Koduri
QA Contact:
URL:
Whiteboard:
Depends On: 1412489 1414655
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 07:22 UTC by Soumya Koduri
Modified: 2017-03-08 12:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1412489
Environment:
Last Closed: 2017-03-08 12:35:31 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Soumya Koduri 2017-01-19 07:22:30 UTC
+++ This bug was initially created as a clone of Bug #1412489 +++

Description of problem:

In __upcall_inode_ctx_set() if __inode_ctx_set() fails, we should be freeing the allocated inode_ctx. That's not the case now. Thanks Nithya for the pointer.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2017-01-12 03:53:34 EST ---

REVIEW: http://review.gluster.org/16381 (Upcall: Fix possible memleak when inode_ctx_set fails) posted (#1) for review on master by soumya k (skoduri@redhat.com)

--- Additional comment from Worker Ant on 2017-01-12 10:47:27 EST ---

COMMIT: http://review.gluster.org/16381 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 84271e12efb783bfc83133329b0fd18aba729c84
Author: Soumya Koduri <skoduri@redhat.com>
Date:   Thu Jan 12 14:19:31 2017 +0530

    Upcall: Fix possible memleak when inode_ctx_set fails
    
    In __upcall_inode_ctx_set(), if inode_ctx_set fails we should
    free allocated memory for ctx. This patch takes care of the same.
    
    Change-Id: Iafb42787151a579caf6f396c9b414ea48d16e6b4
    BUG: 1412489
    Reported-by: Nithya Balachandran <nbalacha@redhat.com>
    Signed-off-by: Soumya Koduri <skoduri@redhat.com>
    Reviewed-on: http://review.gluster.org/16381
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 1 Worker Ant 2017-01-19 07:25:18 UTC
REVIEW: http://review.gluster.org/16430 (Upcall: Fix possible memleak when inode_ctx_set fails) posted (#1) for review on release-3.9 by soumya k (skoduri@redhat.com)

Comment 2 Kaushal 2017-03-08 12:35:31 UTC
This bug is getting closed because GlusterFS-3.9 has reached its end-of-life [1].

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please open a new bug against the newer release.

[1]: https://www.gluster.org/community/release-schedule/


Note You need to log in before you can comment on or make changes to this bug.